<?php
require_once("admin/MiniTemplator.class.php");
require_once("admin/functions.php");

	$firstpage = file('./admin/db/firstpage.txt') or die("PROBLEM");
	list($zaglavie, $pozdrav, $text) = preg_split("/:@:/", $firstpage[0]);
		$zaglavie = htmlspecialchars_decode($zaglavie);
		$pozdrav = htmlspecialchars_decode($pozdrav);

$curpage = 0;	
if(preg_match('/page=(\d)+$/', curPageURL(), $matches)){
	if($matches[1]){
		$curpage = $matches[1]-1;
	} else {
		$curpage = 0;
	}
}

//
	$settingsfile = file('./admin/db/settings.txt') or die("PROBLEM");
		foreach($settingsfile as $stline){
			if(preg_match("/^style=(.*)$/",$stline, $match)){
				$cssstyle = rtrim($match[1]);
			} else {
				$cssstyle = "default";
			}
		}
		
		
//  
if(!isset($_GET['page']) || $_GET['page'] == 1){
	$firstpage = file('./admin/db/firstpage.txt') or die("PROBLEM");
	
	list($zaglavie, $pozdrav, $text) = preg_split("/:@:/", $firstpage[0]);
		$zaglavie = htmlspecialchars_decode($zaglavie);
		$pozdrav = htmlspecialchars_decode($pozdrav);
		$text = htmlspecialchars_decode($text);
		//$text = br2nl($text);
		
	$seo = file('./admin/db/seo.txt');
	list($id, $title, $desc, $words) = preg_split("/:@:/", rtrim($seo[0]));
		$title = htmlspecialchars_decode($title);
		$desc = htmlspecialchars_decode($desc);
		$words = htmlspecialchars_decode($words);

	
	$t = new MiniTemplator;

	$t->readTemplateFromFile ("templates/$cssstyle/1.html");
	$t->setVariable ("zaglavie",$zaglavie);
	$t->setVariable ("pozdrav",$pozdrav);
	$t->setVariable ("cssstyle",$cssstyle);
	$t->setVariable ("text",$text);
	$t->setVariable ("title",$title);
	$t->setVariable ("desc",$desc);
	$t->setVariable ("words",$words);
	$t->setVariable ("cp",$curpage);

	$t->generateOutput();
}

// 
elseif($_GET['page'] == 2){
	$uslugi = file('./admin/db/uslugi-list.txt');
	foreach($uslugi as $usl){
		$usluga[] = htmlspecialchars_decode(rtrim($usl));
	}
	$n=0;

	$seo = file('./admin/db/seo.txt');
	list($id, $title, $desc, $words) = preg_split("/:@:/", rtrim($seo[1]));
		$title = htmlspecialchars_decode($title);
		$desc = htmlspecialchars_decode($desc);
		$words = htmlspecialchars_decode($words);
	
	$t = new MiniTemplator;
	$t->readTemplateFromFile ("templates/$cssstyle/2.html");
	for($x=0; $x<20; $x++){
		if($usluga[$n]){
			$t->setVariable ("uslnr",$n+1);
			$t->setVariable ("uslvalue",$usluga[$n]);
			$t->addBlock ("block_uslugi");
			$n++;
		}
	}
	
	$t->setVariable ("zaglavie",$zaglavie);
	$t->setVariable ("pozdrav",$pozdrav);
	$t->setVariable ("cssstyle",$cssstyle);
	$t->setVariable ("title",$title);
	$t->setVariable ("desc",$desc);
	$t->setVariable ("words",$words);
	$t->setVariable ("cp",$curpage);
	
	$t->generateOutput();
}

// 
elseif($_GET['page'] == 3){
	$filesezoni = file('./admin/db/sezoni.txt');
	foreach ($filesezoni as $line){
		list($id[], $sezon[], $sezonperiod[]) = preg_split("/:@:/", rtrim($line));
	}
	$fileuslugi = file('./admin/db/ceni.txt');
	foreach ($fileuslugi as $lusl){
		list($id[], $usluga[], $cena1[], $cena2[], $cena3[], $cena4[]) = preg_split("/:@:/", rtrim($lusl));
	}

	$dopinfo_text = file('./admin/db/ceni-dopinfo.txt');
	if(!isset($dopinfo_text[0])) $dopinfo_text[0] = "";
	$dopinfo = $dopinfo_text[0];
		$dopinfo = htmlspecialchars_decode($dopinfo);
	
	$seo = file('./admin/db/seo.txt');
	list($id, $title, $desc, $words) = preg_split("/:@:/", rtrim($seo[2]));
		$title = htmlspecialchars_decode($title);
		$desc = htmlspecialchars_decode($desc);
		$words = htmlspecialchars_decode($words);
	
	$t = new MiniTemplator;
	$t->readTemplateFromFile ("templates/$cssstyle/3.html");
	for($x=0; $x<=3; $x++){
		$t->setVariable ("name",$sezon[$x]);
		$t->setVariable ("sezon",$sezonperiod[$x]);
		$t->addBlock ("block_sezoni");
	}


	for($x=0; $x<8; $x++){
		$t->setVariable ("usluga",$usluga[$x]);
		for($y=0; $y<=3; $y++){
				if($y == 0)	$t->setVariable ("val_cena",$cena1[$x]);
				if($y == 1)	$t->setVariable ("val_cena",$cena2[$x]);
				if($y == 2)	$t->setVariable ("val_cena",$cena3[$x]);
				if($y == 3)	$t->setVariable ("val_cena",$cena4[$x]);
			$t->addBlock ("sez_cena");
		}
		$t->addBlock ("block_uslugi");
	}

	$t->setVariable ("zaglavie",$zaglavie);
	$t->setVariable ("pozdrav",$pozdrav);
	$t->setVariable ("cssstyle",$cssstyle);
	$t->setVariable ("title",$title);
	$t->setVariable ("desc",$desc);
	$t->setVariable ("words",$words);
	$t->setVariable ("cp",$curpage);
	$t->setVariable ("dopinfo",$dopinfo);
	
	$t->generateOutput();
}

// 
elseif($_GET['page'] == 4){
	$filegallery = file('./admin/db/gall.txt');
	
	foreach ($filegallery as $picture){
		if(isset($picture)){
			list($idpic[], $ime[], $pic[]) = preg_split("/:@:/", rtrim($picture));
		}else {
			$idpic[] = $ime[] = $pic[] = "";
		}
	} 

		
	$seo = file('./admin/db/seo.txt');
	list($id, $title, $desc, $words) = preg_split("/:@:/", rtrim($seo[3]));
		$title = htmlspecialchars_decode($title);
		$desc = htmlspecialchars_decode($desc);
		$words = htmlspecialchars_decode($words);

	
	$t = new MiniTemplator;
	$t->readTemplateFromFile ("templates/$cssstyle/4.html");
	
	if(isset($picture)){
	for($x=0; $x<count($pic); $x++){
		$t->setVariable ("ime",$ime[$x]);
		$t->setVariable ("pic",$pic[$x]);
		$t->addBlock ("block_gall");
	}
	}
	
	$t->setVariable ("zaglavie",$zaglavie);
	$t->setVariable ("pozdrav",$pozdrav);
	$t->setVariable ("cssstyle",$cssstyle);
	$t->setVariable ("title",$title);
	$t->setVariable ("desc",$desc);
	$t->setVariable ("words",$words);
	$t->setVariable ("cp",$curpage);
	$t->generateOutput();
}

// 
elseif($_GET['page'] == 5){
	$filecontacts = file('./admin/db/contacts.txt');
	$address = "";
	if(isset($filecontacts[0])) $address = htmlspecialchars_decode(rtrim($filecontacts[0]));
	//$address = br2nl($address);
		
	$seo = file('./admin/db/seo.txt');
	list($id, $title, $desc, $words) = preg_split("/:@:/", rtrim($seo[4]));
		$title = htmlspecialchars_decode($title);
		$desc = htmlspecialchars_decode($desc);
		$words = htmlspecialchars_decode($words);
		
	$kw = array('23+3', '10+20', '54+2', '18+7', '10+6');
				//26, 30, 56, 25, 16
	$kl = array_rand($kw);
	
	$t = new MiniTemplator;
	$t->readTemplateFromFile ("templates/$cssstyle/5.html");
	$t->setVariable ("address",$address);
	$t->setVariable ("key",$kw[$kl]);
	
	$t->setVariable ("zaglavie",$zaglavie);
	$t->setVariable ("pozdrav",$pozdrav);
	$t->setVariable ("cssstyle",$cssstyle);
	$t->setVariable ("title",$title);
	$t->setVariable ("desc",$desc);
	$t->setVariable ("words",$words);
	$t->setVariable ("cp",$curpage);
	$t->generateOutput();
}

else {
	$t = new MiniTemplator;
	$t->readTemplateFromFile ("templates/index.html");
	$t->generateOutput();
}
?>