<?php
session_start();
require_once("MiniTemplator.class.php");
require_once("functions.php");
checkLoginAdmin();

//  
if(!isset($_GET['page']) || $_GET['page'] == 1){
	$firstpage = file('./db/firstpage.txt');
	list($zaglavie, $pozdrav, $text) = preg_split("/:@:/", $firstpage[0]);
		$zaglavie = htmlspecialchars_decode($zaglavie);
		$pozdrav = htmlspecialchars_decode($pozdrav);
		$text = htmlspecialchars_decode($text);
		$text = br2nl($text);
		
	$seo = file('./db/seo.txt');
	list($id, $title, $desc, $words) = preg_split("/:@:/", rtrim($seo[0]));
		$title = htmlspecialchars_decode($title);
		$desc = htmlspecialchars_decode($desc);
		$words = htmlspecialchars_decode($words);

	
	$t = new MiniTemplator;

	$t->readTemplateFromFile ("templates/1.html");
	$t->setVariable ("zaglavie",$zaglavie);
	$t->setVariable ("pozdrav",$pozdrav);
	$t->setVariable ("text",$text);
	$t->setVariable ("title",$title);
	$t->setVariable ("desc",$desc);
	$t->setVariable ("words",$words);

	$t->generateOutput();
}

// 
elseif($_GET['page'] == 2){
	$uslugi = file('./db/uslugi-list.txt');
	foreach($uslugi as $usl){
		$usluga[] = htmlspecialchars_decode(rtrim($usl));
	}
	$n=0;

	$seo = file('./db/seo.txt');
	list($id, $title, $desc, $words) = preg_split("/:@:/", rtrim($seo[1]));
		$title = htmlspecialchars_decode($title);
		$desc = htmlspecialchars_decode($desc);
		$words = htmlspecialchars_decode($words);
	
	$t = new MiniTemplator;
	$t->readTemplateFromFile ("templates/2.html");
	for($x=0; $x<20; $x++){
		$t->setVariable ("uslnr",$n+1);
		$t->setVariable ("usl","usl".$n);
		$t->setVariable ("uslvalue",$usluga[$n]);
		$t->addBlock ("block_uslugi");
		$n++;
	}
	
	$t->setVariable ("title",$title);
	$t->setVariable ("desc",$desc);
	$t->setVariable ("words",$words);
	
	$t->generateOutput();
}

// 
elseif($_GET['page'] == 3){
	$filesezoni = file('./db/sezoni.txt');
	foreach ($filesezoni as $line){
		list($id[], $sezon[], $sezonperiod[]) = preg_split("/:@:/", rtrim($line));
	}
	$fileuslugi = file('./db/ceni.txt');
	foreach ($fileuslugi as $lusl){
		list($id[], $usluga[], $cena1[], $cena2[], $cena3[], $cena4[]) = preg_split("/:@:/", rtrim($lusl));
	}

	$dopinfo_text = file('./db/ceni-dopinfo.txt');
	if(!isset($dopinfo_text[0])) { $dopinfo = ""; }
	else {
	$dopinfo = $dopinfo_text[0];
		$dopinfo = htmlspecialchars_decode($dopinfo);
		$dopinfo = br2nl($dopinfo);
	}
	
	$seo = file('./db/seo.txt');
	list($id, $title, $desc, $words) = preg_split("/:@:/", rtrim($seo[2]));
		$title = htmlspecialchars_decode($title);
		$desc = htmlspecialchars_decode($desc);
		$words = htmlspecialchars_decode($words);
	
	$t = new MiniTemplator;
	$t->readTemplateFromFile ("templates/3.html");
	for($x=0; $x<=3; $x++){
		$t->setVariable ("name",$sezon[$x]);
		$t->setVariable ("seznr","sez".($x+1));
		$t->setVariable ("sezon",$sezonperiod[$x]);
		$t->addBlock ("block_sezoni");
	}


	for($x=0; $x<8; $x++){
		$t->setVariable ("uslnr",$x+1);
		$t->setVariable ("usluga",$usluga[$x]);
		for($y=0; $y<=3; $y++){
			$t->setVariable ("sez","sez".($y+1));
			$t->setVariable ("cena","cena".($x+1));
			if($y == 0)	$t->setVariable ("val_cena",$cena1[$x]);
			if($y == 1)	$t->setVariable ("val_cena",$cena2[$x]);
			if($y == 2)	$t->setVariable ("val_cena",$cena3[$x]);
			if($y == 3)	$t->setVariable ("val_cena",$cena4[$x]);
			$t->addBlock ("sez_cena");
		}
		$t->addBlock ("block_uslugi");
	}
	
	$t->setVariable ("title",$title);
	$t->setVariable ("desc",$desc);
	$t->setVariable ("words",$words);

	$t->setVariable ("dopinfo",$dopinfo);
	
	$t->generateOutput();
}

// 
elseif($_GET['page'] == 4){
	$filegallery = file('./db/gall.txt');
	foreach ($filegallery as $picture){
		//list($idpic[], $ime[], $pic[]) = preg_split("/:@:/", rtrim($picture));
		if(isset($picture)){
			list($idpic[], $ime[], $pic[]) = preg_split("/:@:/", rtrim($picture));
		}else {
			$idpic[] = $ime[] = $pic[] = "";
		}
	}
		
	$seo = file('./db/seo.txt');
	list($id, $title, $desc, $words) = preg_split("/:@:/", rtrim($seo[3]));
		$title = htmlspecialchars_decode($title);
		$desc = htmlspecialchars_decode($desc);
		$words = htmlspecialchars_decode($words);

	
	$t = new MiniTemplator;
	$t->readTemplateFromFile ("templates/4.html");
	
	if(isset($picture)){
	for($x=0; $x<count($pic); $x++){
		$t->setVariable ("idpic",$idpic[$x]);
		$t->setVariable ("ime",$ime[$x]);
		$t->setVariable ("pic",$pic[$x]);
		$t->addBlock ("block_gall");
	}
	}
	
	$t->setVariable ("title",$title);
	$t->setVariable ("desc",$desc);
	$t->setVariable ("words",$words);
	$t->generateOutput();
}

// 
elseif($_GET['page'] == 5){
	$filecontacts = file('./db/contacts.txt');
	$address = "";
	if(isset($filecontacts[0])){
	$address = htmlspecialchars_decode(rtrim($filecontacts[0]));
	$address = br2nl($address);
	}
		
	$seo = file('./db/seo.txt');
	list($id, $title, $desc, $words) = preg_split("/:@:/", rtrim($seo[4]));
		$title = htmlspecialchars_decode($title);
		$desc = htmlspecialchars_decode($desc);
		$words = htmlspecialchars_decode($words);

	
	$t = new MiniTemplator;
	$t->readTemplateFromFile ("templates/5.html");
	$t->setVariable ("address",$address);
	$t->setVariable ("title",$title);
	$t->setVariable ("desc",$desc);
	$t->setVariable ("words",$words);
	$t->generateOutput();
}

else {
	$t = new MiniTemplator;
	$t->readTemplateFromFile ("templates/index.html");
	$t->generateOutput();
}

?>